
Application: gvSIG desktop - gvSIG feature requests #2306
02/08/2014 12:17 PM - Antonio Falciano

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: CRS
Target version: 2.1.0-2239-testing
gvSIG version: 2.1.0 Add-on resolve version:
Keywords: epsg, crs Add-on resolve build:
Has patch: No Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description
A quite regular update of the EPSG database is strongly needed, because there are many unsupported CRSs in gvSIG.
For instance, there are new EPSG codes for Italy in the latest versions of EPSG Geodetic Parameter Dataset (
http://www.epsg-registry.org/):
    -  "Monte Mario / TM Emilia-Romagna" (EPSG:5659);
    -  "RDN2008" (EPSG:6706)
    -  "RDN2008 / TM32" (EPSG:6707);
    -  "RDN2008 / TM33" (EPSG:6708);
    -  "RDN2008 / TM34" (EPSG:6709).

And consequently there are other transformation parameters to keep in count.

For instance, this is how gvSIG CE team is solving this issue:
http://gvsigce.sourceforge.net/wiki/index.php/How_to_update_the_EPSG_database

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 1371: Suppor... Closed 11/09/2012
Related to Application: gvSIG desktop - gvSIG feature requests # 2455: Agrega... Closed 03/20/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2596: Problema con la pr... Closed 06/26/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2389: No transformation ... Closed 02/26/2014
Related to Application: gvSIG desktop - gvSIG feature requests # 2728: Crear ... Closed 07/27/2014

History
#1 - 02/09/2014 12:28 PM - Alexander Holsteinson

Esto debe ser parte de la monitoreo en linea automatico de nuevos versiones de addons cada vez que se cargue gvSIG.   Por ejemplo no veo el datum
o CRS IGS08 ni el vigente IGb08  asi como el NGA WGS84 G1674 vigentes actualmente.

#2 - 04/04/2014 10:28 AM - Álvaro Anguix
- Priority changed from High to Normal

#3 - 06/26/2014 02:12 PM - Antonio Falciano
- File EPSG_v8_4_hsql.zip added

I've just converted the latest version of EPSG Registry (8.4, May 2014) for HSQL (in attachment), trying to replicate the same structure of the
EPSG.sql file available in gvSIG 2.1. In order to test it, follow these steps:
    1. make a backup copy of gvSIG\plugins\org.gvsig.projection.app.jcrs\db\EPSG.sql file (in order to eventually restore it after the test);
    2. overwrite it with the copy contained in the zip file;
    3. start gvSIG... and test it!

#4 - 06/27/2014 07:04 AM - Antonio Falciano
- File EPSG_diff.zip added
- File EPSG_v8_4_hsql_fixed.zip added

I've fixed the new EPSG.sql in order to ensure the full compatibility between the two versions. I attach both the fixed version and the diff between the
new and the old EPSG.sql.
After some quick test, I see that there's some misalignment in the jcrs extension, e.g. it seems that gvSIG doesn't recognize the datum correctly... To
be tested!

#5 - 06/28/2014 01:45 PM - Antonio Falciano
- % Done changed from 0 to 100
- Target version set to 2.1.0-2259-rc3
- Status changed from New to Awaiting response
- File EPSG_v8_4_hsql_final.zip added

I attach a final version of EPSG.sql (v. 8.4) which works like a charm! Tested with BN 2230. 
Finally we can search and set the new Italian CRSs correctly, even if some transformations (e.g. RDN2008 to WGS84) are not always recognized (it
may depend by the registry), but it's not a big problem because all parameters are zeros (manual transformation). 
Note that EPSG:3785 and EPSG:3857 (Web Mercator) are searchable, but a warning message says "CRS not supported ======".

#6 - 06/30/2014 03:43 AM - Álvaro Anguix
- Related to gvSIG feature requests #2455: Agregar EPSG de Argentina added

#7 - 06/30/2014 03:45 AM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from Awaiting response to Fixed
- Category set to CRS

Antonio, thank you very much for the contribution. We're going to test it and if everything works good we're going to include it in the next builds.

#8 - 06/30/2014 03:49 AM - Álvaro Anguix
- Related to gvSIG bugs #2596: Problema con la proyección  EPSG:21781 added

#9 - 06/30/2014 04:22 AM - Álvaro Anguix
- Related to gvSIG bugs #2389: No transformation is offered from 4326 to 3035 added

#10 - 07/02/2014 04:29 AM - Antonio Falciano
- File EPSG_v8.5.zip added

Hi Alvaro,
don't mention it! It's a pleasure to contribute in order to solve these kind of issues. 
The version 8.5 of EPSG Registry was released in the meanwhile, so I attach a new EPSG.sql script. I've tested it a bit and I have some suggestions in
order to recognize new projection aliases introduced recently (#2596 and #2624) and to manage Web Mercator (#1371).
#11 - 07/27/2014 07:49 PM - Joaquín  del Cerro Murciano
- Related to gvSIG feature requests #2728: Crear un tipo de complemento que permita instalar nuevas BBDD de EPSG added

#12 - 07/27/2014 09:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2239-testing

#13 - 07/28/2014 05:14 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
EPSG_v8_4_hsql.zip 951 KB 06/26/2014 Antonio Falciano
EPSG_v8_4_hsql_fixed.zip 951 KB 06/27/2014 Antonio Falciano
EPSG_diff.zip 1.24 MB 06/27/2014 Antonio Falciano
EPSG_v8_4_hsql_final.zip 948 KB 06/28/2014 Antonio Falciano
EPSG_v8.5.zip 954 KB 07/02/2014 Antonio Falciano
